<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mca.cmmn.mapper.AreaCodeMapper">


	<select id="selectCity" resultType="areaCodeVO">
		SELECT
			code,
			area
		FROM
			t_area_code
		WHERE 
			code like '__'
		ORDER BY code ASC
	</select>


	<select id="selectCounty" resultType="areaCodeVO">
		SELECT
			code,
			area
		FROM
			t_area_code
		WHERE 
			code LIKE '${code}'
		ORDER BY code ASC
	</select>
	
	<select id="selectAreaName" parameterType="String" resultType="String">
		SELECT 
			area
		FROM
			t_area_code
		WHERE
			code = #{code}
	</select>



</mapper>